<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="9facbf72-701c-4047-ae32-5db472826bac" name="更改" comment="配置">
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/common/enums/StampWarningTypeEnum.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/HomeController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxContractInvoiceDController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxZhptInvoiceDController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxContractInvoiceD.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxZhptInvoiceD.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxZhptInvoiceItemD.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/po/HomeStampTaxCountPO.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/vo/stamp/tax/HomeStampTaxCountVO.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/vo/stamp/tax/WarningDataVo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/mapper/AdsMatHyxtStampTaxContractInvoiceDMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/mapper/AdsMatHyxtStampTaxZhptInvoiceDMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/mapper/AdsMatHyxtStampTaxZhptInvoiceItemDMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxContractInvoiceDService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxZhptInvoiceDService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxZhptInvoiceItemDService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxContractInvoiceDServiceImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxZhptInvoiceDServiceImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxZhptInvoiceItemDServiceImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/excelTemplate/stampTax/stampTaxWarningExport.xlsx" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/excelTemplate/stampTax/stampTaxZhptInvoiceImport.xlsx" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/excelTemplate/stampTax/stampTaxZhptInvoiceItemImport.xlsx" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/mapper/hywz/AdsMatHyxtStampTaxContractInvoiceDMapper.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/mapper/hywz/AdsMatHyxtStampTaxZhptInvoiceDMapper.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/mapper/hywz/AdsMatHyxtStampTaxZhptInvoiceItemDMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/common/constants/StampWarningCheckRule.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/common/constants/StampWarningCheckRule.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/common/enums/StampBusinessTypeEnum.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/common/enums/StampBusinessTypeEnum.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxComputeDController.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxComputeDController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxContractDController.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxContractDController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxInvoiceDController.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxInvoiceDController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxItemDController.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxItemDController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxWarningDController.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/controller/stamp/tax/AdsMatHyxtStampTaxWarningDController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxComputeD.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxComputeD.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxContractD.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxContractD.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxInvoiceD.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxInvoiceD.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxItemD.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxItemD.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxWarningD.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxWarningD.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxWarningRuleD.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/AdsMatHyxtStampTaxWarningRuleD.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/po/DateQueryPO.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/po/DateQueryPO.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/po/StampTaxComputeSavePO.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/entity/po/StampTaxComputeSavePO.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxComputeDService.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxComputeDService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxContractDService.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxContractDService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxInvoiceDService.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxInvoiceDService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxItemDService.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxItemDService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxWarningDService.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxWarningDService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxWarningRuleDService.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/IAdsMatHyxtStampTaxWarningRuleDService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtInvoiceApplyDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtInvoiceApplyDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxComputeDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxComputeDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxContractDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxContractDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxInvoiceDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxInvoiceDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxItemDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxItemDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxWarningDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxWarningDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxWarningRuleDServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxWarningRuleDServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/utils/DateUtil.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/utils/DateUtil.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/utils/ScheduleTaskUtils.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/utils/ScheduleTaskUtils.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/web/controller/system/SysLoginController.java" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/web/controller/system/SysLoginController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/application-dev.yml" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/application-dev.yml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/excelTemplate/stampTax/stampTaxInvoiceExport.xlsx" beforeDir="false" afterPath="$PROJECT_DIR$/ruoyi-admin/src/main/resources/excelTemplate/stampTax/stampTaxInvoiceExport.xlsx" afterDir="false" />
    </list>
    <list id="772f3166-c3ce-4d8f-9e2a-cca9497c312f" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Enum" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/utils/ScheduleTaskUtils.java" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\maven\maven_cwzjgk" />
        <option name="mavenHome" value="$PROJECT_DIR$/../../../apache-maven-3.8.6-bin/apache-maven-3.8.6-bin" />
        <option name="userSettingsFile" value="D:\apache-maven-3.8.6-bin\apache-maven-3.8.6-bin\conf\settings_cwzjgk.xml" />
        <option name="workOffline" value="true" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectId" id="2enVrb5xHmHXra7KLoXC5VNJ2kQ" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;MyBatisLogPluginindexNum&quot;: &quot;540&quot;,
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/work/电商平台/后端&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;项目&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.15&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;MavenSettings&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;79d6ce39730bcb0bc093948bea475e34&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控-后端\ruoyi-admin\src\main\java\com\ruoyi\hywz\service" />
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控-后端\ruoyi-admin\src\main\java\com\ruoyi\hywz\service\impl" />
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控-后端\ruoyi-admin\src\main\resources\mapper\hywz" />
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控-后端\ruoyi-admin\src\main\java\com\ruoyi\hywz\mapper" />
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控-后端\ruoyi-admin\src\main\java\com\ruoyi\hywz\entity" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控后端\ruoyi-admin\src\main\resources\mapper\hywz" />
      <recent name="D:\Projects\fuze\财务资金管控\财务资金管控后端\ruoyi-admin\src\main\resources\mybatis" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.ruoyi.hywz.common.enums" />
      <recent name="com.ruoyi.common.utils.http" />
      <recent name="com.ruoyi.hywz.entity.po" />
      <recent name="com.ruoyi.hywz.service.impl" />
      <recent name="com.ruoyi.hywz.service" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.RuoYiApplication">
    <configuration name="AdsMatHyxtInvoiceDController" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ruoyi.hywz.controller.AdsMatHyxtInvoiceDController" />
      <module name="ruoyi-admin" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ruoyi.hywz.controller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AdsPrjHywzqlcPrjFunInfoDfServiceImpl" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ruoyi.hywz.service.impl.AdsPrjHywzqlcPrjFunInfoDfServiceImpl" />
      <module name="ruoyi-admin" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ruoyi.hywz.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MsgTemplateEnum" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ruoyi.hywz.common.enums.MsgTemplateEnum" />
      <module name="ruoyi-admin" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ruoyi.hywz.common.enums.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="RuoYiApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <option name="ACTIVE_PROFILES" value="dev" />
      <module name="ruoyi-admin" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.ruoyi.RuoYiApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.AdsMatHyxtInvoiceDController" />
      <item itemvalue="Application.AdsPrjHywzqlcPrjFunInfoDfServiceImpl" />
      <item itemvalue="Application.MsgTemplateEnum" />
      <item itemvalue="Spring Boot.RuoYiApplication" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration" cleanupOnStartRun="true">
    <configuration>C:\Users\10055\AppData\Roaming\Subversion</configuration>
    <supportedVersion>125</supportedVersion>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="9facbf72-701c-4047-ae32-5db472826bac" name="更改" comment="" />
      <changelist id="772f3166-c3ce-4d8f-9e2a-cca9497c312f" name="Changes" comment="" />
      <created>1712540533631</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1712540533631</updated>
      <workItem from="1712540534691" duration="2761000" />
      <workItem from="1712556399191" duration="7000" />
      <workItem from="1712557012389" duration="16286000" />
      <workItem from="1712574579276" duration="9000" />
      <workItem from="1712622598435" duration="13238000" />
      <workItem from="1712642427189" duration="18593000" />
      <workItem from="1712709278288" duration="6621000" />
      <workItem from="1712728793664" duration="16284000" />
      <workItem from="1712795514337" duration="11777000" />
      <workItem from="1712815688817" duration="11803000" />
      <workItem from="1712882163055" duration="14574000" />
      <workItem from="1712915512238" duration="1892000" />
      <workItem from="1713140914242" duration="28279000" />
      <workItem from="1713227260279" duration="25500000" />
      <workItem from="1713313680407" duration="29000" />
      <workItem from="1713314226920" duration="22466000" />
      <workItem from="1713401039202" duration="7634000" />
      <workItem from="1713420108695" duration="13059000" />
      <workItem from="1713486710273" duration="25057000" />
      <workItem from="1713745846692" duration="15572000" />
      <workItem from="1713867765696" duration="2320000" />
      <workItem from="1714005767953" duration="11710000" />
      <workItem from="1714035556520" duration="1169000" />
      <workItem from="1714092146117" duration="1300000" />
      <workItem from="1715333877579" duration="1510000" />
      <workItem from="1715336489621" duration="1015000" />
      <workItem from="1715391382540" duration="251000" />
      <workItem from="1715654402746" duration="711000" />
      <workItem from="1715734854264" duration="1878000" />
      <workItem from="1717031313506" duration="24580000" />
      <workItem from="1717118047628" duration="22000" />
      <workItem from="1717118350627" duration="389000" />
      <workItem from="1717123787991" duration="19000" />
      <workItem from="1717484586081" duration="409000" />
      <workItem from="1717485444712" duration="154000" />
      <workItem from="1717491290272" duration="811000" />
      <workItem from="1717558762657" duration="1045000" />
      <workItem from="1717571191560" duration="547000" />
      <workItem from="1718153601074" duration="7332000" />
      <workItem from="1718186462619" duration="640000" />
      <workItem from="1718240560028" duration="406000" />
      <workItem from="1718243086286" duration="3735000" />
      <workItem from="1718328311848" duration="93000" />
      <workItem from="1718332014149" duration="2177000" />
      <workItem from="1718336303518" duration="1367000" />
      <workItem from="1718338325832" duration="11205000" />
      <workItem from="1718420690375" duration="33000" />
      <workItem from="1719201550779" duration="64000" />
      <workItem from="1719885197480" duration="8565000" />
      <workItem from="1720061621678" duration="652000" />
      <workItem from="1720081045739" duration="1283000" />
      <workItem from="1720082341417" duration="14133000" />
      <workItem from="1720140385856" duration="937000" />
      <workItem from="1720402083790" duration="788000" />
      <workItem from="1720773251958" duration="1303000" />
      <workItem from="1720919648422" duration="14909000" />
      <workItem from="1721005582837" duration="35000" />
      <workItem from="1721025418544" duration="13707000" />
      <workItem from="1721098437952" duration="22684000" />
      <workItem from="1721351072477" duration="34421000" />
      <workItem from="1721524003280" duration="5024000" />
      <workItem from="1721871520014" duration="6882000" />
      <workItem from="1721958926373" duration="11637000" />
      <workItem from="1722044551062" duration="130000" />
      <workItem from="1722214216307" duration="18065000" />
      <workItem from="1722300288848" duration="15866000" />
      <workItem from="1722387313330" duration="712000" />
      <workItem from="1722388492141" duration="3744000" />
      <workItem from="1722474857167" duration="2083000" />
      <workItem from="1722496720578" duration="1000" />
      <workItem from="1722566236426" duration="10343000" />
      <workItem from="1722654410331" duration="32000" />
      <workItem from="1722819238905" duration="25065000" />
      <workItem from="1722861420654" duration="175000" />
      <workItem from="1722861688229" duration="22000" />
      <workItem from="1722904373460" duration="20093000" />
      <workItem from="1722991088991" duration="17932000" />
      <workItem from="1723078197394" duration="21543000" />
      <workItem from="1723164891966" duration="14716000" />
      <workItem from="1723346429018" duration="649000" />
      <workItem from="1723599512589" duration="216000" />
      <workItem from="1723710827667" duration="2701000" />
      <workItem from="1723769233012" duration="30416000" />
      <workItem from="1724027932919" duration="18502000" />
      <workItem from="1724114248294" duration="3502000" />
      <workItem from="1724120203229" duration="10697000" />
      <workItem from="1724148849463" duration="862000" />
      <workItem from="1724200661243" duration="1927000" />
      <workItem from="1724205500689" duration="15685000" />
      <workItem from="1724290494983" duration="4636000" />
      <workItem from="1724376546073" duration="19989000" />
      <workItem from="1724636078082" duration="21386000" />
      <workItem from="1724719944381" duration="652000" />
      <workItem from="1724727310264" duration="12700000" />
      <workItem from="1724759070353" duration="4759000" />
      <workItem from="1724848702889" duration="23000" />
      <workItem from="1725151823032" duration="20851000" />
      <workItem from="1725191437394" duration="16562000" />
      <workItem from="1725237153093" duration="22414000" />
      <workItem from="1725282494419" duration="26000" />
      <workItem from="1725325172200" duration="3484000" />
      <workItem from="1725431782493" duration="2171000" />
      <workItem from="1725518606401" duration="602000" />
      <workItem from="1725526966911" duration="601000" />
      <workItem from="1725782065062" duration="17000" />
      <workItem from="1725862731524" duration="3538000" />
      <workItem from="1725885089570" duration="103000" />
      <workItem from="1726102318959" duration="2366000" />
      <workItem from="1726104724513" duration="19789000" />
      <workItem from="1726142534644" duration="560000" />
      <workItem from="1726186548089" duration="23131000" />
      <workItem from="1726279003971" duration="388000" />
      <workItem from="1726298522928" duration="18000" />
      <workItem from="1726298793237" duration="898000" />
      <workItem from="1726626823323" duration="2372000" />
      <workItem from="1726705748560" duration="20024000" />
      <workItem from="1726745439198" duration="314000" />
      <workItem from="1726813284082" duration="12770000" />
      <workItem from="1726883731976" duration="111000" />
      <workItem from="1726888727562" duration="2282000" />
      <workItem from="1726895140891" duration="221000" />
      <workItem from="1726967993727" duration="5298000" />
      <workItem from="1727081772878" duration="1548000" />
      <workItem from="1727226313137" duration="318000" />
      <workItem from="1729499998907" duration="737000" />
      <workItem from="1729558206502" duration="540000" />
      <workItem from="1729643843615" duration="77000" />
      <workItem from="1730281371113" duration="1835000" />
      <workItem from="1730338734054" duration="767000" />
      <workItem from="1730448354478" duration="316000" />
      <workItem from="1730448686923" duration="678000" />
      <workItem from="1730449395532" duration="4057000" />
      <workItem from="1731041405146" duration="1016000" />
      <workItem from="1731050095225" duration="643000" />
      <workItem from="1731162016448" duration="1243000" />
      <workItem from="1731163911004" duration="4000" />
    </task>
    <task id="LOCAL-00001" summary="开票申请相关接口">
      <created>1712657818906</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1712657818906</updated>
    </task>
    <task id="LOCAL-00002" summary="审核人员">
      <created>1712658100180</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1712658100180</updated>
    </task>
    <task id="LOCAL-00003" summary="审核相关">
      <created>1712732754418</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1712732754418</updated>
    </task>
    <task id="LOCAL-00004" summary="审核相关">
      <created>1712827233573</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1712827233573</updated>
    </task>
    <task id="LOCAL-00005" summary="流程完善">
      <created>1712912916076</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1712912916076</updated>
    </task>
    <task id="LOCAL-00006" summary="i国网通知、定时任务通知">
      <created>1713232175493</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1713232175493</updated>
    </task>
    <task id="LOCAL-00007" summary="提交权限控制，权限配置页面相关接口">
      <created>1713252785309</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1713252785309</updated>
    </task>
    <task id="LOCAL-00008" summary="1.预算稽核校验逻辑、&#10;2.ocr识别发票编号、日期&#10;3.配置文件优化">
      <created>1713345253710</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1713345253710</updated>
    </task>
    <task id="LOCAL-00009" summary="业务流程调整">
      <created>1713431518783</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1713431518783</updated>
    </task>
    <task id="LOCAL-00010" summary="流程节点颜色">
      <created>1713432460989</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1713432460989</updated>
    </task>
    <task id="LOCAL-00011" summary="发送邮件逻辑">
      <created>1713494842511</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1713494842511</updated>
    </task>
    <task id="LOCAL-00012" summary="调整">
      <created>1713757618273</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1713757618273</updated>
    </task>
    <task id="LOCAL-00013" summary="发票只限制上传图片格式">
      <created>1713773403319</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1713773403319</updated>
    </task>
    <task id="LOCAL-00014" summary="服务通知改成调用175三流合一通知接口">
      <created>1714012444628</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1714012444628</updated>
    </task>
    <task id="LOCAL-00015" summary="流转详情增加手机号字段展示">
      <created>1714016803310</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1714016803310</updated>
    </task>
    <task id="LOCAL-00016" summary="修改">
      <created>1717066450397</created>
      <option name="number" value="00016" />
      <option name="presentableId" value="LOCAL-00016" />
      <option name="project" value="LOCAL" />
      <updated>1717066450397</updated>
    </task>
    <task id="LOCAL-00017" summary="发票接收环节改成发起报账，批量生成凭证号">
      <created>1718157717778</created>
      <option name="number" value="00017" />
      <option name="presentableId" value="LOCAL-00017" />
      <option name="project" value="LOCAL" />
      <updated>1718157717778</updated>
    </task>
    <task id="LOCAL-00018" summary="orc识别调整、预算稽核">
      <created>1718360339036</created>
      <option name="number" value="00018" />
      <option name="presentableId" value="LOCAL-00018" />
      <option name="project" value="LOCAL" />
      <updated>1718360339036</updated>
    </task>
    <task id="LOCAL-00019" summary="发票多个删除，支持上传pdf发票">
      <created>1720142792560</created>
      <option name="number" value="00019" />
      <option name="presentableId" value="LOCAL-00019" />
      <option name="project" value="LOCAL" />
      <updated>1720142792560</updated>
    </task>
    <option name="localTasksCounter" value="20" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="配置" />
    <MESSAGE value="开票申请相关接口" />
    <MESSAGE value="审核人员" />
    <MESSAGE value="审核相关" />
    <MESSAGE value="流程完善" />
    <MESSAGE value="i国网通知、定时任务通知" />
    <MESSAGE value="提交权限控制，权限配置页面相关接口" />
    <MESSAGE value="1.预算稽核校验逻辑、&#10;2.ocr识别发票编号、日期&#10;3.配置文件优化" />
    <MESSAGE value="业务流程调整" />
    <MESSAGE value="流程节点颜色" />
    <MESSAGE value="发送邮件逻辑" />
    <MESSAGE value="调整" />
    <MESSAGE value="发票只限制上传图片格式" />
    <MESSAGE value="服务通知改成调用175三流合一通知接口" />
    <MESSAGE value="流转详情增加手机号字段展示" />
    <MESSAGE value="修改" />
    <MESSAGE value="发票接收环节改成发起报账，批量生成凭证号" />
    <MESSAGE value="orc识别调整、预算稽核" />
    <MESSAGE value="发票多个删除，支持上传pdf发票" />
    <MESSAGE value="init" />
    <option name="LAST_COMMIT_MESSAGE" value="init" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/ruoyi-admin/src/main/java/com/ruoyi/hywz/service/impl/AdsMatHyxtStampTaxContractDServiceImpl.java</url>
          <line>318</line>
          <option name="timeStamp" value="3" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="SpringBootApplicationConfigurationType">
        <watch expression="param.getStartDate()" />
        <watch expression="totalNum.multiply(taxRate)" />
        <watch expression="contractAmount.multiply(taxRate).setScale(2, RoundingMode.HALF_UP)" />
        <watch expression="taxNum.compareTo(new BigDecimal(&quot;0&quot;))" />
        <watch expression="IpUtils.getIpAddr(request)" />
        <watch expression="adsMatHyxtStampTaxContractDService.countWarningNum(orgNo, date)" />
        <watch expression="IpUtils.getIpAddr(request)" />
      </configuration>
    </watches-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>